import 'package:flutter/material.dart';
import 'package:rasadyar_core/core.dart';
import 'package:rasadyar_core/presentation/widget/map/view.dart';
import 'logic.dart';

class MapPage extends GetView<MapLogic> {
  MapPage({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Stack(
        children: [
          MapWidget(
            markerWidget: Icon(Icons.pin_drop_rounded),
            initOnTap: () {

            },
            initMarkerWidget: Assets.vec.mapMarkerSvg.svg(
              width: 30,
              height: 30,
            ),
          ),

        ],
      ),
    );
  }
}

